<!DOCTYPE html>
<html>

<head>

    <title>Quick Start - Leaflet</title>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="shortcut icon" type="image/x-icon" href="docs/images/favicon.ico" />

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.5.1/dist/leaflet.css" integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
        crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.5.1/dist/leaflet.js" integrity="sha512-GffPMF3RvMeYyc1LWMHtK8EbPv0iNZ8/oTtHPx9/cc2ILxQ+u905qIwdpULaqDkyBKgOaB57QTMg7ztg8Jm2Og=="
        crossorigin="">
        </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: sans-serif;
        }
        #overlay{
            position: absolute;
            z-index: 1000;
            background: rgba(255,255,255,0.7);
            padding: 10px;
            right: 0;
            margin: 10px;
            border-radius: 5px;
            box-shadow: 1px 1px 1px grey;
            min-height: 200px;
            min-width: 200px;
        }
    </style>


</head>

<body>
    <div id="overlay">
        <h2>Opcije karte</h2>
        <label id="current_center_lat"></label><br>
        <label id="current_center_lng"></label><br><br>
        <button id="toggleLayer">Toggle gradovi</button>
    </div>
    <div id="mapid" style="width: 100%; height: 100vh;"></div>
    <script>

        var mymap = L.map('mapid').setView([45.898685, 16.84217], 17);

        L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
            maxZoom: 18,
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
                '<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
                'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            id: 'mapbox/streets-v11'
        }).addTo(mymap);

        var grad = L.icon({
            iconUrl: 'icons/palace-2.png',
            iconSize: [32, 40],
            iconAnchor: [16, 40]
            //popupAnchor: [0,-50]
        })

        mymap.on('moveend', function(e) {
            console.log(mymap.getCenter().lat)
            document.getElementById('current_center_lat').innerHTML = 'lat = ' +  mymap.getCenter().lat;
            document.getElementById('current_center_lng').innerHTML = 'lng = ' +  mymap.getCenter().lng; 
        });
        


    </script>



</body>
<script>
    $.getJSON("zupanije.geojson", function (data) {
        var datalayer = L.geoJson(data, {
            onEachFeature: function (feature, featureLayer) {
                if (feature.properties.name == "Bjelovarsko-Bilogorska") {
                    featureLayer.bindPopup(feature.properties.name + " " + feature.properties.type);
                }
            },
            style: function (feature) {
                return {
                    color: '#000',
                    weight: 0.3,
                    fillOpacity: 0.1
                    //https://leafletjs.com/reference-1.5.0.html#path-option
                }
            }
        }).addTo(mymap);
        mymap.fitBounds(datalayer.getBounds());
    });
    var datalayer1;
    $.getJSON("sjedista_zupanija.geojson", function (data) {
        datalayer1 = L.geoJson(data, {
            //https://leafletjs.com/reference-1.5.0.html#geojson
            pointToLayer: function (geoJsonPoint, latlng) {
                return L.marker(latlng, {
                    icon: grad
                });
            }
        }).addTo(mymap);
    });

    $(document).on('click', '#toggleLayer', function(){
        if(mymap.hasLayer(datalayer1)){
            mymap.removeLayer(datalayer1);
        }else{
            datalayer1.addTo(mymap);
        }
    });

</script>

</html>